package org.ow2.petals.tools.jmx.api.exception;

import javax.management.ObjectName;

public class PerformActionDoesNotExistException extends PerformActionErrorException {

    private static final long serialVersionUID = 3154892826641097573L;
    
    private final String action;
    private final ObjectName mbeanName;
    
    public PerformActionDoesNotExistException(final String action, final ObjectName mbeanName, final Throwable e) {
        super(e);
        this.action = action;
        this.mbeanName = mbeanName;
    }

    public String getAction() {
        return action;
    }

    public ObjectName getMbeanName() {
        return mbeanName;
    }

}
